felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Felix Meschberger (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (FELIX-2801) Http exports should not use the bundle version
Date Tue, 25 Jan 2011 10:36:44 GMT

     [ https://issues.apache.org/jira/browse/FELIX-2801?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Felix Meschberger resolved FELIX-2801.
--------------------------------------

    Resolution: Fixed

Export Http Service Extension API at fixed version 2.0.4 (should really be 2.0.0 but has already
been exported as 2.0.4 in previous release) and Proxy API as 2.1.0 (has new ProxyListener
class).

Fixed in Rev. 1063213

> Http exports should not use the bundle version
> ----------------------------------------------
>
>                 Key: FELIX-2801
>                 URL: https://issues.apache.org/jira/browse/FELIX-2801
>             Project: Felix
>          Issue Type: Bug
>          Components: HTTP Service
>    Affects Versions: http-2.0.4
>            Reporter: Felix Meschberger
>            Assignee: Felix Meschberger
>             Fix For: http-2.1.0
>
>
> The http.api bundle exports the API as version ${pom.version}, thus the version of the
exported package follows the bundle version, which is completely wrong. Rather the package
should be exported with its own version -- starting with 2.0.4 for backwards compatibility
with the 2.0.4 release of the API bundle.
> Same for the exportet http roxy package.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message